#!/bin/sh -efuC

rpmquery "$@" --qf '
%|EPOCH?{%%global kepoch %{EPOCH}:}|
%%global kversion %{VERSION}
%%global krelease %{RELEASE}
'

# Note: we do not print anything if we are unable to susbstitute "kernel-image-"
rpmquery-strictdep "$@" |
	sed -nre 's,^kernel-headers-modules-,%global kimage kernel-image-,p'
